import * as plugins from '../plugins.js';

export interface ICloudlyConfig {
  cfToken?: string;
  hetznerToken?: string;
  environment?: 'production' | 'integration';
  letsEncryptEmail?: string;
  letsEncryptPrivateKey?: string;
  jwtKeypair?: plugins.tsclass.network.IJwtKeypair;
  mongoDescriptor?: plugins.tsclass.database.IMongoDescriptor;
  s3Descriptor?: plugins.tsclass.storage.IS3Descriptor;
  publicUrl?: string;
  publicPort?: string;
  sslMode?: 'none' | 'letsencrypt' | 'external';
  servezoneAdminaccount?: string;
}