import * as plugins from '../plugins.js';

/**
 * results from a DeploymentDirective
 * tracks the status of a deployment
 */
export interface IDeployment {
  id: string;
  deploymentDirectiveId: string;
  affectedServiceIds: string[];
  usedImageId: string;
  deploymentLog: string[];
  status: 'scheduled' | 'running' | 'deployed' | 'failed';
}