import * as plugins from '../plugins.js';

export interface IRequest_SendSms
  extends plugins.typedrequestInterfaces.implementsTR<
    plugins.typedrequestInterfaces.ITypedRequest,
    IRequest_SendSms
  > {
    method: 'sendSms';
    request: {
      toNumber: number;
      fromName: string;
      messageText: string;
    };
    response: {
      status: 'ok' | 'not ok';
    }
  }

  export interface IRequest_SendVerificationCode
  extends plugins.typedrequestInterfaces.implementsTR<
    plugins.typedrequestInterfaces.ITypedRequest,
    IRequest_SendVerificationCode
  > {
    method: 'sendVerificationCode';
    request: {
      toNumber: number;
      fromName: string;
    };
    response: {
      status: 'ok' | 'not ok';
      verificationCode: string;
    }
  }
