import type { Cloudly } from '../classes.cloudly.js';
import * as plugins from '../plugins.js';
import { Service } from './classes.service.js';

export class ServiceManager {
  public typedrouter = new plugins.typedrequest.TypedRouter();
  public cloudlyRef: Cloudly;

  get db() {
    return this.cloudlyRef.mongodbConnector.smartdataDb;
  }

  public CService = plugins.smartdata.setDefaultManagerForDoc(this, Service);

  constructor(cloudlyRef: Cloudly) {
    this.cloudlyRef = cloudlyRef;
  }
}
